Chuyển đến nội dung
Diễn đàn CADViet

onggia83

Thành viên
  • Số lượng nội dung

    16
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    1

Bài đăng được đăng bởi onggia83


  1. Mình cũng có mong muốn như chủ thớt. Việc tiếp nhận bản vẽ từ đối tác họ tách thành 30-40 bản vẽ chì đánh số 1,2,3... rất khó để kiểm tra tính đúng sai,nội dung bản vẽ và chỉnh sửa. 

    Muốn gộp vào một layout đẻ kiểm tra sẽ dễ hơn nhiều. Mong anh em có thể hỗ trợ viết list gộp các layout vào 1 layout duy nhất. Thank!

     


  2. Vào lúc 6/4/2019 tại 15:39, huunhantvxdts đã nói:

    sửa lại cho bạn có vòng lặp và chạy được còn kết quả theo của bạn

    
    (defun C:TTC ();(D H1 H2 WF TL1 K P1 P2 P3 P4 P5 P6 P7 P8 PT PT1 P9 P10 P11 P12 P13 TTL L)
    (SETVAR "cmdecho" 0)
    (command "undo" "begin")
    (setq LADIN (GETVAR "dimzin"))
    (setq LAOS (GETVAR "osmode"))
    (setq STY (GETVAR "textstyle"))
    (setq D (TBLSEARCH "style" STY))
    (setq H1 (CDR (ASSOC 40 D)))
    (setq H2 (CDR (ASSOC 42 D)))
    (setq WF (CDR (ASSOC 41 D)))
    (setq H H2)
    ;(setq L 0)
    (setq TL 1)
    (setq TL1 (GETREAL (STRCAT (RTOS TL 2 0) " >: 1/")))
    (setq TL TL1)
    (setq K 0)
    (setq TTL 0)
    (SETVAR "dimzin" 0)
    (SETVAR "OSMODE" 0)
    (setq PT (GETPOINT "\nChon diem xuat bang thong ke: "))
    (setq P1 (LIST (+ (CAR PT) (* 6 H)) (CADR PT)))
    (setq P2 (LIST (+ (CAR PT) (* 22 H)) (CADR PT)))
    (setq P3 (LIST (CAR PT) (- (CADR PT) (* 3 H))))
    (setq P4 (LIST (CAR P1) (CADR P3)))
    (setq P5 (LIST (CAR P2) (CADR P3)))
    (setq P6 (LIST (+ (CAR PT) (* 11 H)) (+ (CADR PT) (* 2 H))))
    (setq P7 (LIST (+ (CAR PT) (* 3 H)) (- (CADR PT) (* 1.5 H))))
    (setq P8 (LIST (+ (CAR PT) (* 14 H)) (- (CADR PT) (* 1.5 H))))
    (command "pline" PT P2 P5 P3 "C")
    (command "pline" P1 P4 "")
    (command "TEXT" "M" P6 "" "" "BANG THONG KE CHIEU DAI" "")
    (command "TEXT" "M" P7 "" "" "STT" "")
    (command "TEXT" "M" P8 "" "" "CHIEU DAI" "")
    (while (setq E (CAR (ENTSEL "\n Chon doi tuong tinh chieu dai : ")))
    (setq K (1+ K))
    (setq PT (LIST (CAR P3) (CADR P3)))
    (setq P1 (LIST (+ (CAR PT) (* 6 H)) (CADR PT)))
    (setq P2 (LIST (+ (CAR PT) (* 22 H)) (CADR PT)))
    (setq P3 (LIST (CAR PT) (- (CADR PT) (* 3 H))))
    (setq P4 (LIST (CAR P1) (CADR P3)))
    (setq P5 (LIST (CAR P2) (CADR P3)))
    (setq P7 (LIST (+ (CAR PT) (* 3 H)) (- (CADR PT) (* 1.5 H))))
    (setq P8 (LIST (+ (CAR PT) (* 14 H)) (- (CADR PT) (* 1.5 H))))
    (setq P9 (LIST (CAR PT) (- (CADR P3) (* 3 H))))
    (setq P10 (LIST (CAR P1) (CADR P9)))
    (setq P11 (LIST (CAR P2) (CADR P9)))
    (setq P12 (LIST (CAR P7) (- (CADR P3) (* 1.5 H))))
    (setq P13 (LIST (CAR P8) (CADR P12)))
    (setq L (* (LEN E) TL))
    (setq TTL (+ L TTL))
    (command "pline" PT P2 P5 P3 "C")
    (command "pline" P1 P4 "")
    (command "TEXT" "M" P7 "" "" (RTOS K 2 0) "")
    (command "TEXT" "M" P8 "" "" (RTOS L 2 2) "")
    ;(setq E (CAR (ENTSEL (STRCAT "\nTong chieu dai = " (RTOS TTL 2 3) ". Chon doi tuong tiep theo..."))))
    )
    (SETVAR "DIMZIN" LADIN)
    (command "pline" P3 P9 P11 P5 "C")
    (command "pline" P10 P4 "")
    (command "TEXT" "M" P12 "" "" "TONG" "")
    (command "TEXT" "M" P13 "" "" (RTOS TTL 2 2) "")
    (SETVAR "OSMODE" LAOS)
    (command "undo" "end")
      )
    ;(defun LEN (E))
    (defun LEN(E) (vlax-curve-getDistAtParam E (vlax-curve-getEndParam E)))
    ;(defun WTXT_M (TXT  P / STY D H1 H2 WF H)
    ;(setq STY (GETVAR "textstyle"))
    ;(setq D (TBLSEARCH "style" STY))
    ;(setq H1 (CDR (ASSOC 40 D)))
    ;(setq H2 (CDR (ASSOC 42 D)))
    ;(setq WF (CDR (ASSOC 41 D)))
    ;(setq H H1)
    ;)

     

     

    Vào lúc 17/9/2013 tại 10:26, trieubb đã nói:

    Lệnh rất hay bác ạ nhưng bác có thể viết them 1 cái là chỉ cần thống kê chiều dài và tên layer ra luôn bản vẽ và đặt cạnh từng đoạn luôn không bác, thanks bác nhiều.Chờ tin bác

    List mình test thử ko xuất dc kết quả. List của bạn rất hay, ủng hộ bạn.

    • Vote giảm 1

  3. Mình có sưu tầm dc một block động của người khác làm. Mình mở block ra học hỏi cách làm mà không hiểu sao họ làm dc như vậy. Mong được anh em chỉ giáo.

    Mình thấy họ làm block tự động thay đổi các lỗ thoáng của máng cáp khi kéo dài chọn kích thước máng mà ko dùng thuộc tính Array. Và khi di chuyển block thì di chuyển luôn điểm chèn.

    Mình có gửi file đính kèm.

    https://drive.google.com/file/d/1WMkXX3hXth32Y3eifXEiNlKsGru7yO1p/view?usp=sharing

    1.jpg

    2.jpg

×